#include <vector>
std::vector<int> getVisionPattern1d() {
  return {1, 1, 1, 2, 1, 3};
}
int getMove1d(std::vector<int> v) {
  if(v.size() == 3) {
    for(int i = 0; i < v.size(); ++i) if(v[i] != 1) return i;
    return 0;
  }
  if(v.size() == 5) {
    if(v.front() == 3) return 0;
    return v.size()-1;
  }
  if(v.front() == 1) return 0;
  return v.size()-1;
}
std::vector<std::vector<int>> getVisionPattern2d() {

}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {

}
